Subject: devel-digest V2 #207
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Friday, June 25 1999           Volume 02 : Number 207

In this issue:

    building KDE 1.1.1 - problems finding library during kdebase configure

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Thu, 24 Jun 1999 09:38:38 -0700
From: Tim Rowledge <[email-masked]>
Subject: building KDE 1.1.1 - problems finding library during kdebase configure

I finally made an attempt at building the KDE 1.1.1 stuff and seem to have got
stuck in a corner. Following Jon Olsens' advice, I added the -fno-exceptions
etc to the qtlib configuration and made the shared lib version with
make linux-g++-shared
which completed with no problems. I followed the TrollTech recommendations on
adding  to theLD_LIBRARY_PATH etc.
Then I set CFLAGS='-fno-exceptions -fno-rtti -fomit-frame-pointer' and started
in on the kdesupport dir. No problems there. No apparent  problems with the
kdelibs dir either, or at least nothingthat looks funny in the config.log.
Then I tried the kdebase dir and configure fails miserably.  I get this cute
message:-
checking for KDE libraries installed... configure: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and kdelibs as you did use now 
Duh, of course I used the same dang compliler!

The config.log seems to suggest somethingwierdabout finding libraries is going
on. For example:-
configure:2825: checking for dnet_ntoa in -ldnet_stub
configure:2844: gcc -o conftest -O2 -Wall  -s conftest.c -ldnet_stub   1>&5
ld: cannot open -ldnet_stub: No such file or directory
and:
configure:2623: checking for main in -lcompat
configure:2638: gcc -o conftest -O2 -Wall  -s conftest.c -lcompat   1>&5
ld: cannot open -lcompat: No such file or directory
configure: failed program was:
and even:
configure:4114: checking for KDE libraries installed
configure:4117: /bin/sh ./libtool --silent --mode=link g++ -o conftest -O2 -Wall -I/usr/local/kde/include -I/usr/local/qt/include  -I/usr/X11R6/include  -s -L/usr/local/kde/lib -L/usr/local/qt/lib  -L/usr/X11R6/lib conftest.C  -lkdecore -lqt -lXext -lX11  -rpath /usr/local/kde/lib -rpath /usr/local/qt/lib -rpath /usr/X11R6/lib  1>&5
/usr/local/kde/lib/libkdecore.so: undefined reference to `QWidget type_info node'
/usr/local/kde/lib/libkdecore.so: undefined reference to `QDialog type_info node'
/usr/local/kde/lib/libkdecore.so: undefined reference to `QBuffer type_info node'
/usr/local/kde/lib/libkdecore.so: undefined reference to `QWidget type_info function'
/usr/local/kde/lib/libkdecore.so: undefined reference to `QDialog type_info function'
/usr/local/kde/lib/libkdecore.so: undefined reference to `QGArray type_info node'
[plus lots more lines of this sort]

I even attempted to explicitly point at the qtlib for onetest, just to see if
it couldbe forced past  thepath problem ,and it claimsit cannot find it,
despite it being there!
configure:3480: checking if Qt compiles without flags
configure:3523: g++ -o conftest -O2 -Wall -I/usr/local/qt/include  -L/usr/X11R6/lib conftest.C  -lXext -lX11 -l/usr/local/qt/lib/libqt.so  1>&5
ld: cannot open -l/usr/local/qt/lib/libqt.so: No such file or directory
but
l>s /usr/local/qt/lib says:
libqt.a        libqt.so       libqt.so.1     libqt.so.1.44 

Err, what am I missing, aside from a clue? Oh, I just made thestatic version of
qtlib and tried again with no change in my results. Foo.

Help me obi-woebegone, you're my only hope!

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #207
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.